[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: aptitude?

Thomas Schwinge <tschwinge@gnu.org> writes:

> Hello!
> On Tue, Oct 10, 2006 at 01:22:17PM +0200, Luca Capello wrote:
>> On Mon, 09 Oct 2006 23:53:17 +0200, Javier-Elias Vasquez-Vivas wrote:
>> > It's been a while since aptitude (as of now shows up as
>> > broken since there's a missing library:
>> >
>> > libapt-pkg-libc6.3-6-3.10
>> [...]
>> > Does any one know?
>> The problem is that aptitude is still a (very old?) version in hurd,
> I can remember that perhaps half a year ago or so someone from India
> (might be wrong) who called himself `emfox' on irc was working on
> aptitude, found and reported some bugs to the Debian bug tracking system,
> but then disappeared some time later, as far as I can tell.

Hello Thomas!

Thanks for remembering my nick after this half year :) and yes, I'm
from China.

Acurally, I happened got a job that has no easy way to get internet
access, so my spare time that spend on FOSS thing had been reduced
much. Last week I got an CDMA wireless card and an accout that could
finally set me free!

Here's the issue for aptitude on Debian GNU/Hurd:
First, the aptitude hurd version, and more important, the dependency,
is very old and need to be recompiled. But hey, you know, packages
is changing time to time, and since sometime aptitude got a new build
dependency that is called libcppunit-dev, and libcppunit-dev dependency
on QT, so it's not available on Hurd.
So, currently you could sovle that by building a custom libcppunit-dev
that without QT dependency, simply remove the dep and build-dep in
debian/control of libcppunit-dev and build it, then you'll get the debs,
install it, and build the aptitude packages from source, too.
the other two issues that aptitude use non-portalbe APIs have been fixed,
that's what I did half years ago.

OK, if there's something I do not clearly expressed, I can repeat it more

Reply to: